GETTY(8)

NAME
getty - initialize a terminal session

SYNOPSIS
getty [-5678beflnoR] [-h height] [-s speed] [-t term] [-w width] terminal program [arguments ...]

DESCRIPTION
getty creates a new session and executes the specified program inside the session.

The terminal argument is a path to a tty(4) terminal device for the session, which is initialized to its default options (as per stty(1) sane), except the modem control settings are preserved in the struct termios c_cflag field (except CREAD) as well as the c_ispeed and c_ospeed fields. The CREAD bit is enabled in struct termios c_cflag to enable receiving data on the terminal. The terminal window size is unchanged.

If the process is already a session leader, then the program is executed along with any optional arguments. Otherwise getty forks and makes the child a session leader, and the parent waits for the child to exit.

The options are as follows:

-5  Receive 5 bits per word (CS5 in c_cflag).

-6  Receive 6 bits per word (CS6 in c_cflag).

-7  Receive 7 bits per word (CS7 in c_cflag).

-8  Receive 8 bits per word (CS8 in c_cflag).

-b  Always fork and run the new session in the background without waiting for it to exit.

-e  Enable even parity bits (PARENB in c_cflag).

-f  Forcefully take ownership of the terminal even if another session already owns it.

-h height
    Set the terminal window rows to height.

-l  Output the operating system logo before running the program.

-n  Disable parity bits (~(PARENB | PARODD) in c_cflag).

-o  Enable odd parity bits (PARENB | PARODD in c_cflag).

-R  Disable receiving data (~(CREAD) in c_cflag). This option is useful to prevent a race condition where the user may type ^C or ^\ to send SIGINT or SIGQUIT before the program is ready to handle input.

-s speed
    Set the terminal input and output speeds to speed.

-t term
    Set the TERM environment variable to term.

-w width
    Set the terminal window columns to width.

EXIT STATUS
getty exits as the program does on success and non-zero otherwise. If -b, then getty exits 0 after forking the new session.

SEE ALSO
sh(1), tcsetattr(2), tcsetwinsize(2), com(4), tty(4), kernel(7), init(8), login(8)